﻿FROM mcr.microsoft.com/dotnet/aspnet:6.0 AS base
WORKDIR /app
EXPOSE 80
EXPOSE 443

FROM mcr.microsoft.com/dotnet/sdk:6.0 AS build
WORKDIR /src
COPY ["MinimalAPI.csproj", "./"]
RUN dotnet restore "MinimalAPI.csproj"
COPY . .
WORKDIR "/src/"
RUN dotnet build "MinimalAPI.csproj" -c Release -o /app/build

FROM build AS publish
RUN dotnet publish "MinimalAPI.csproj" -c Release -o /app/publish

FROM base AS final
WORKDIR /app
COPY --from=publish /app/publish .
ENTRYPOINT ["dotnet", "MinimalAPI.dll"]
